CPMCP(1)

NAME
cpmcp - copy files from and to CP/M disks

SYNOPSIS
cpmcp [-f format] [-p] [-t] image [-u] user:file file
cpmcp [-f format] [-p] [-t] image [-u] user:file ... directory
cpmcp [-f format] [-p] [-t] image [-u] file user:file
cpmcp [-f format] [-p] [-t] image [-u] file ... user:

DESCRIPTION
cpmcp copies one or more files to or from a CP/M disk. When copying multiple files, the last argument must be a drive or directory. The drive letter does not matter because the device is specified by the image, it is only used to specify which direction you want to copy. The user number is specified after the drive letter, if omitted user 0 is used.

You can use * and ? in CP/M file names, which have the same meaning in sh(1) file name patterns.

On CP/M, the slash is a legal file name character. When copying such files to the host, it is translated to a comma. Filenames with a comma have that translated back to a slash on CP/M. That is no restriction, because a comma is not a legal CP/M filename character.

OPTIONS

-f format
    Use the given CP/M disk format instead of the default format.

-T libdsk-type
    libdsk driver type, e.g. tele for Teledisk images or raw for raw images (requires building cpmtools with support for libdsk).

-p  Preserve time stamps when copying files from CP/M to UNIX (not implemented for copying the other way so far).

-t  Convert text files between CP/M and UNIX conventions.

-u  Show all CP/M file names in upper case.

RETURN VALUE
Upon successful completion, exit code 0 is returned.

ERRORS
Any errors are indicated by exit code 1.

ENVIRONMENT
CPMTOOLSFMT Default format

FILES
/etc/cpmtools/diskdefs    CP/M disk format definitions

AUTHORS
This program is copyright 1997–2021 Michael Haardt <michael@moria.de>. The Windows port is copyright 2000, 2001, 2011 John Elliott <jce@seasip.demon.co.uk>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

SEE ALSO
cpmls(1), cpm(5)